# smach< CON, K, M >::event Struct Reference

Event base class. More...

`#include <_smach.h>`

List of all members.

## Public Member Functions

| event ()
| event (const event_key &key)
| operator event_key () const

## Public Attributes

event_key | key

## Detailed Description

### template<typename CON, typename K = int, typename M = mutex_null>
struct smach< CON, K, M >::event

Event base class.

Definition at line 90 of file _smach.h.

## Constructor & Destructor Documentation

template<typename CON, typename K = int, typename M = mutex_null>

smach< CON, K, M >::event::event | ( |  | ) | `[inline]`

Definition at line 94 of file _smach.h.

template<typename CON, typename K = int, typename M = mutex_null>

smach< CON, K, M >::event::event | ( | const event_key & | key | ) | `[inline]`

Definition at line 95 of file _smach.h.

## Member Function Documentation

template<typename CON, typename K = int, typename M = mutex_null>

smach< CON, K, M >::event::operator event_key | ( |  | ) | const`[inline]`

Definition at line 97 of file _smach.h.

References smach< CON, K, M >::event::key.

## Member Data Documentation

template<typename CON, typename K = int, typename M = mutex_null>

event_key smach< CON, K, M >::event::key

Definition at line 92 of file _smach.h.

Referenced by smach< CON, K, M >::event::operator event_key().

The documentation for this struct was generated from the following file:

- _smach.h